org.springframework.context.support

## Interface LiveBeansViewMBean

- All Known Implementing Classes:
    LiveBeansView, ServletContextLiveBeansView

      public interface LiveBeansViewMBean

  MBean operation interface for the `LiveBeansView` feature.
  Since:
    3.2
  Author:
    Juergen Hoeller

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSnapshotAsJson()` Generate a JSON snapshot of current beans and their dependencies.

- - ### Method Detail

    - #### getSnapshotAsJson

          String getSnapshotAsJson()

      Generate a JSON snapshot of current beans and their dependencies.